package uam.patrones.cliente.principal;

import uam.patrones.adapter.clases.AlumnoIdiomas;
import uam.patrones.adapter.clases.AlumnoLicenciatura;
import uam.patrones.adapter.clases.AlumnoMaestria;
import uam.patrones.adapter.interfaces.ServiciosAlumno;
import uam.patrones.adapter.operaciones.ServiciosAlumnoGeneral;

/**
 * @author Equipo de trabajo
 *
 */
public class Principal
{

  /**
   * @param args
   */
  public static void main( String[] args )
  {

	  ServiciosAlumno servicios;
	  servicios = new ServiciosAlumnoGeneral();
	    
	    AlumnoLicenciatura alumnoLicenciatura = new AlumnoLicenciatura();
	    alumnoLicenciatura.setMatricula( "12345" );
	    alumnoLicenciatura.setEstudia( "Computacion" );
	    alumnoLicenciatura.setNivel( "1" );
	    
	    AlumnoMaestria alumnoMaestria = new AlumnoMaestria();
	    alumnoMaestria.setMatricula( "23456" );
	    alumnoMaestria.setEstudia( "Optimizacion" );
	    alumnoLicenciatura.setNivel( "2" );
	    
	    AlumnoIdiomas alumnoIdiomas = new AlumnoIdiomas();
	    alumnoIdiomas.setMatricula( "12345" );
	    alumnoIdiomas.setIdioma( "Frances" );
	    alumnoIdiomas.setNivelIdioma( 4 );
   
	    servicios.almacenarAlumno(alumnoLicenciatura);
	    servicios.almacenarAlumno(alumnoMaestria);
	    servicios.almacenarAlumno(alumnoIdiomas);
  
  }

}
