package uam.patrones.adapter.operaciones;

import uam.patrones.adapter.clases.Alumno;
import uam.patrones.adapter.clases.AlumnoIdiomas;
import uam.patrones.adapter.interfaces.ServiciosAlumno;
import uam.patrones.idiomas.operaciones.ServiciosAlumnoIdiomasImpl;

/**
 * @author Equipo de trabajo
 *
 */
public class ServiciosAlumnoIdiomasAdapter implements ServiciosAlumno
{

  private ServiciosAlumnoIdiomasImpl servicios;
  
  public ServiciosAlumnoIdiomasAdapter() {
    servicios = new ServiciosAlumnoIdiomasImpl();
  }
  
  @Override
  public void actualizarAlumno(Alumno alumno)
  {
    
    
  }

  @Override
  public void almacenarAlumno(Alumno alumno)
  {
    AlumnoIdiomas alumnoTmp= ( AlumnoIdiomas )alumno;
    uam.patrones.idiomas.clases.Alumno alumnoIdiomas = new uam.patrones.idiomas.clases.Alumno();
    
    alumnoIdiomas.setMatricula( alumnoTmp.getMatricula() );
    alumnoIdiomas.setIdioma( alumnoTmp.getIdioma() );
    alumnoIdiomas.setNivel( alumnoTmp.getNivelIdioma() );
    
    servicios.guardarAlumno(alumnoIdiomas);
    
  }

  @Override
  public void consultarAlumno(Alumno alumno)
  {
    
    
  }

  @Override
  public void eliminarAlumno(Alumno alumno)
  {
    
    
  }

  
}


